package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CourseChange;
import org.apache.ibatis.annotations.Param;

/**
 * 调课Mapper接口
 * 
 * @author ruoyi
 * @date 2023-06-02
 */
public interface CourseChangeMapper 
{
    /**
     * 查询调课
     * 
     * @param id 调课主键
     * @return 调课
     */
    public CourseChange selectCourseChangeById(Long id);

    /**
     * 查询调课列表
     * 
     * @param courseChange 调课
     * @return 调课集合
     */
    public List<CourseChange> selectCourseChangeList(CourseChange courseChange);

    /**
     * 新增调课
     * 
     * @param courseChange 调课
     * @return 结果
     */
    public int insertCourseChange(CourseChange courseChange);

    /**
     * 修改调课
     * 
     * @param courseChange 调课
     * @return 结果
     */
    public int updateCourseChange(CourseChange courseChange);

    /**
     * 删除调课
     * 
     * @param id 调课主键
     * @return 结果
     */
    public int deleteCourseChangeById(Long id);

    /**
     * 批量删除调课
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCourseChangeByIds(Long[] ids);

    List<CourseChange> selectCourseChangeListByTime(@Param("monthFirst") String monthFirst, @Param("userId")Long userId, @Param("deptId")Long deptId);

    List<CourseChange> selectCourseChangeListByEdit(@Param("classId")String classId, @Param("fist")String fist, @Param("five")String five);
}
